Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTableHeaderUI.MouseInputHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTableHeaderUI.MouseInputHandler

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `EventListener`, `MouseInputListener`

Enclosing class:
  BasicTableHeaderUI

    public class BasicTableHeaderUI.MouseInputHandler
    extends Object
    implements MouseInputListener

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicTableHeaderUI`.

### Constructor Summary

Constructors
`MouseInputHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.MouseListener

`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

### Methods declared in interface java.awt.event.MouseMotionListener

`mouseDragged, mouseMoved`

### Constructor Detail

#### MouseInputHandler

    public MouseInputHandler()